import * as React from "react";
export interface Props {
    /**
     * A string containing one selector to match.
     * This string must be a valid CSS selector string;
     * if it isn't, a `SyntaxError` exception is thrown.
     */
    containerQuerySelector?: string;
    /**
     * The children to render into the container.
     */
    children: React.ReactNode;
    /**
     * If `true`, the `children` will be under the DOM hierarchy of the parent component.
     * @default false
     */
    disabled?: boolean;
}
declare const Portal: (props: Props) => JSX.Element | null;
export default Portal;
