export type ClientRect = {
    x: number;
    y: number;
    width: number;
    height: number;
    left: number;
    right: number;
    top: number;
    bottom: number;
};
export declare const getWindow: (node: Node | Window) => Window;
export declare const getDocumentElement: (node: Node | Window) => HTMLElement;
export declare const getNodeName: (node: Node | Window) => string;
export declare const getParentNode: (node: Node) => Node;
export declare const getContainingBlock: (element: Element) => HTMLElement | null;
export declare const getOffsetParent: (element: Element) => Window | Element;
export declare const getBoundingClientRect: (element: Element | {
    getBoundingClientRect: () => ClientRect;
}, includeScale?: boolean) => {
    width: number;
    height: number;
    top: number;
    right: number;
    bottom: number;
    left: number;
    x: number;
    y: number;
};
export declare const getViewportRect: (element: Element) => {
    width: number;
    height: number;
    x: number;
    y: number;
};
export declare const contains: (parent: Element, child: Element) => boolean;
