declare global {
    interface Window {
        HTMLElement: typeof HTMLElement;
        Element: typeof Element;
        Node: typeof Node;
        ShadowRoot: typeof ShadowRoot;
        HTMLInputElement: typeof HTMLInputElement;
    }
}
export declare const isWindow: <T extends {
    toString?: (() => string) | undefined;
}>(input: unknown) => input is Window;
export declare const isElement: (input: unknown) => input is Element;
export declare const isHTMLElement: (input: unknown) => input is HTMLElement;
export declare const isHTMLInputElement: (input: unknown) => input is HTMLInputElement;
export declare const isNode: (input: unknown) => input is Node;
export declare const isShadowRoot: (node: Node) => node is ShadowRoot;
export declare const isOverflowElement: (element: HTMLElement) => boolean;
/**
 * @see https://developer.mozilla.org/en-US/docs/Web/CSS/Containing_block#identifying_the_containing_block
 */
export declare const isContainingBlock: (element: Element) => boolean;
export declare const isFocusable: (node: Node) => boolean;
export { isFragment } from "react-is";
