import * as React from "react";
export declare const teardown: (_doc_: Document) => void;
interface Return<T extends HTMLElement = HTMLElement> {
    isFocusVisibleRef: React.MutableRefObject<boolean>;
    onFocus: (event: React.FocusEvent<T>) => boolean;
    onBlur: (event: React.FocusEvent<T>) => boolean;
    ref: (node: T | null) => void;
}
/**
 * Cherry-picked from https://github.com/mui-org/material-ui/blob/master/packages/mui-utils/src/useIsFocusVisible.js
 */
declare const useIsFocusVisible: <T extends HTMLElement = HTMLElement>() => Return<T>;
export default useIsFocusVisible;
